%define upstream_name	 XML-DOM-XPath
%define upstream_version 0.14

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	XPath support to XML::DOM, using XML::XPath engine
License:	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/M/MI/MIROD/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     XML-DOM-XPath-0.14-fix-test.patch
BuildRequires:	perl(XML::XPath) >= 1.13-5mdk
BuildRequires:	perl(XML::XPathEngine)
BuildRequires:	perl(XML::DOM)
BuildArch:	noarch

Provides:	perl-libxml-enno
Obsoletes:	perl-libxml-enno

# Remove provides which clash with symbols from perl-XML-DOM
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}perl\\(XML::DOM::(Attr|Comment|Document)\\)
%global __provides_exclude %__provides_exclude|perl\\(XML::DOM::(Element|Namespace|Node|ProcessingInstruction|Text)\\)

%description
XML::DOM::XPath allows you to use XML::XPath methods to query a DOM. This is
often much easier than relying only on getElementsByTagName.

It lets you use all of the XML::DOM methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/XML
%{_mandir}/*/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.140.0-13.mga9
+ Revision: 1810585
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.140.0-12.mga8
+ Revision: 1507011
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.140.0-11.mga7
+ Revision: 1287304
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.140.0-10.mga7
+ Revision: 1167454
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.140.0-9.mga7
+ Revision: 1157411
- fix test

* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1035902
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 946207
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 742016
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.140.0-5.mga5
+ Revision: 732625
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 686906
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 516034
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 374967
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 32787
- mageia rebuild
- imported package perl-XML-DOM-XPath


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.140.0-1mdv2011.0
+ Revision: 564705
- BR perl-XML-DOM

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.1
+ Revision: 401868
- rebuild using %%perl_convert_version

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.14-2mdv2009.0
+ Revision: 265466
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2009.0
+ Revision: 195077
+ rebuild (emptylog)

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-2mdv2008.1
+ Revision: 180651
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2007.0
+ Revision: 93773
- new version

* Tue Nov 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2007.1
+ Revision: 84098
- new version
- Import perl-XML-DOM-XPath

* Wed Nov 02 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdk
- New release 0.10

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.09-3mdk
- fix deps

* Wed Jun 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-2mdk 
- spec cleanup
- make test in %%check
- don't ship useless empty directories

* Wed Mar 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.09-1mdk
- 0.09

* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-1mdk 
- first mdk release

